#!/usr/local/gtk/inst/bin/python

import sys
import os.path

#do a quick architecture check and warn users if they are using the wrong version:
import platform
cpu_type = platform.uname()[5]
if cpu_type:
	from winswitch.build_info import BUILD_CPU
	if BUILD_CPU!=cpu_type:
		FRIENDLY_NAMES={"i386" : "x86", "powerpc": "PowerPC"}
		from Tkinter import *
		import tkMessageBox
		tkMessageBox.showwarning("Wrong CPU Type",
			"This version of Window-Switch is for %s CPUs only,\n"
			"Please download the %s version instead" % (FRIENDLY_NAMES.get(BUILD_CPU, BUILD_CPU), FRIENDLY_NAMES.get(cpu_type, cpu_type)))
		sys.exit()

gtklibdir = os.environ["GTK_EXE_PREFIX"]
execfile(os.path.join(gtklibdir, "applet_wrapper.py"))
